[linux-dvb] [RFC|PATCH] support DVB-S2 new inner fec modes

Rainer.scherg Rainer.Scherg at t-online.de
Tue Nov 22 21:31:52 CET 2005


I appreciate that someone is starting to look at DVB-S2.

But binary compatibility is mandatory.
RPMs, etc. would crash with no obvious reason.

Also if enhancing the DVB-API, I would like to see
something like a GET_VERSION (returning a major/minor
version of the API - e.g. DVB-S2 is supported bgeinning
from v3.2). This would make it easier for applications
to check there API environment.


rasc



Marcel Siegert schrieb:
> hi,
> 
> as dvb-s2 will come along shortly we should be prepared.
> 
> this is a first patch within a series that will appear to support 
> dvb-s2 within the different apis.
> 
> it just adds the new fec modes and the dvb-s2 rollflag enums.
> 
> enumeration value from the fe_caps definition and adjusted all values.
> applications must be recompiled. this is imho fine.
> if we want to keep binary compatibility we can not ask the frontend if it is capable of the 
> new modes - thus support would be impossible then.
> 




More information about the linux-dvb mailing list